Bug 456254 - Display shortcuts in menu in grey color
Summary: Display shortcuts in menu in grey color
Status: RESOLVED FIXED
Alias: None
Product: Breeze
Classification: Unclassified
Component: QStyle (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-02 18:37 UTC by makosol
Modified: 2022-08-04 14:41 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description makosol 2022-07-02 18:37:12 UTC
SUMMARY

Shortcuts displayed in menus, next to the command name, should be greyed, in order to reduce visual clutter and improve readability.
Comment 1 Nate Graham 2022-07-05 17:48:14 UTC
Maybe not a bad idea.
Comment 2 makosol 2022-07-05 18:41:02 UTC
just in case, the idea came from the spectacle screenshot in https://pointieststick.com/2022/07/01/this-week-in-kde-and-now-time-for-for-some-ui-polishing/
Comment 3 Bug Janitor Service 2022-07-11 22:05:59 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/breeze/-/merge_requests/231
Comment 4 makosol 2022-07-13 14:42:21 UTC
Besides, the same effect is applied in application menu, with application's description displayed in grey.
Comment 5 Nate Graham 2022-08-04 14:41:51 UTC
Git commit 0d5a9d0f34fb519b3522f5a0634f997cea488a07 by Nate Graham, on behalf of Jan Blackquill.
Committed on 04/08/2022 at 14:41.
Pushed by ngraham into branch 'master'.

kstyle: make shortcuts in menus look visually subdued

This helps with the visual hierarchy in menus.
FIXED-IN: 5.26

M  +3    -0    kstyle/breezestyle.cpp

https://invent.kde.org/plasma/breeze/commit/0d5a9d0f34fb519b3522f5a0634f997cea488a07